Bug 278301 - pidgin loads firefox with wrong url when domain name is internationalized
Summary: pidgin loads firefox with wrong url when domain name is internationalized
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pidgin   
(Show other bugs)
Version: 5.1
Hardware: x86_64 Linux
medium
low
Target Milestone: ---
: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-05 12:44 UTC by Alexander Todorov
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 14:09:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Todorov 2007-09-05 12:44:38 UTC
Description of problem:
When opening url to a website from pidgin, firefox fails to load the correct url
when domain name contains non ascii characters.

Version-Release number of selected component (if applicable):
pidgin-2.0.2-3.el5
firefox-1.5.0.12-3.el5

How reproducible:
Always

Steps to Reproduce:
1. In pidgin send a message containing "http://www.Ñватбата.com/". This is
domain name in cyrillic.
2. The other person in the conversation receives the message and it is
recognised as hyperlink. I can read the cyrillic text and click on the link.
3. Firefox loads with url: 
http://www.%d1%81%d0%b2%d0%b0%d1%82%d0%b1%d0%b0%d1%82%d0%b0.com which looks like
url encoded cyrillic string. 
4. The correct url is: http://www.xn--80aaacd3gjc.com/
5. If written directly in Firefox address bar in cyrillic this domain name is
translated correctly and page loads.
  
Actual results:
pidgin starts Firefox with url encoded cyrillic string. Firefox fails to load
the page since it's not an IDN and it's not translated.

Expected results:
Firefox is started with correct parameter and translates the IDN to the actual
value as it does when user types the address manually.

Additional info:

Comment 1 RHEL Product and Program Management 2007-09-05 13:15:42 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.

Comment 2 Warren Togami 2007-09-05 19:57:04 UTC
The correct behavior of pidgin would need to be translating the unicode into IDN
before passing it as a parameter to the web browser.

http://developer.pidgin.im/
Please file a bug with upstream for them to consider support of IDN translation,
or a suggested patch if you have a proposed solution.  We will only ship fixes
that are accepted by upstream.

http://www.google.com/search?q=IDN+spoof
This however might make pidgin vulnerable to the IDN spoofing phishing security
hole.  There is an important security reason why IDN display was disabled in web
browsers.  It is too easy to fool someone into clicking something that appears
to be one address when it is really something different.

Comment 3 Alexander Todorov 2007-09-06 07:35:08 UTC
(In reply to comment #2)
> http://developer.pidgin.im/
> Please file a bug with upstream for them to consider support of IDN translation.

Unfortunately their server can't handle the load. I will retry later to file
upstream.

Comment 4 Alexander Todorov 2007-10-04 14:09:12 UTC
Filed upstream at http://developer.pidgin.im/ticket/3445


Note You need to log in before you can comment on or make changes to this bug.